<div class="container" id="main-container">
  <div class="row d-flex justify-content-center m-4">
    <img src="assets\img\logov3.png" style="height: 50%; width: 50%;" alt="" class="img-fluid w-60" />
  </div>
  <!-- Button trigger modal -->
  <div class="row">
    <div *ngIf="activeUserIsAdmin" class="add card btn d-flex align-items-center m-3
" style=" height: 25vh; margin-top: 2em;" data-bs-toggle="modal" data-bs-target="#staticBackdrop">
      <div class=" d-flex justify-content-center align-items-center">
        <p>
          <i class="fa-solid fa-circle-plus fa-10x"></i>
        </p>
      </div>
      <h5>AJOUTER UNE PLANTE</h5>
    </div>

    <div *ngFor="let plante of plantes" class="col-md-6 col-xl-3 my-5">
      <app-plant-card [plante]="plante" [activeUserIsAdmin]="activeUserIsAdmin"></app-plant-card>
    </div>
  </div>



  <!-- Notification si pas de plante-->
  <div *ngIf="plantes?.length == 0" class="col-lg-12 col-md-12 col-xl-12">
    <div class="alert alert-info" role="alert">
      <h4 class="alert-heading">PAS DE PLANTE!</h4>
      <p>Aucune plantes trouvées dans la base.</p>
    </div>
  </div>
</div>

<!-- Modal ADD PLANT -->
<div class="modal fade" id="staticBackdrop" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1"
  aria-labelledby="staticBackdropLabel" aria-hidden="true">
  <div class="modal-dialog modal-xl
">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="staticBackdropLabel">Ajouter une plante</h5>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
      </div>
      <div class="modal-body">
        <div class="container">
          <div class="row" id="eeeeeeeeeeeeeeeee">
            <!--  PREVIEW CARD PLANT-->
            <div class="col-6 mb-3 mt-3 " id="addPlantPreview">
              <div class="card m-b-30">
                <div class="card-body row">
                  <div class="col-6">
                    <a href=""><img src="{{'/assets/img/' + newPlante.url }}" alt="" class="img-fluid w-60" /></a>
                  </div>
                  <div class="col-6 card-title align-self-center mb-0">
                    <h5>{{newPlante.commonName}}</h5>
                    <h6><em>{{newPlante.latinName}}</em></h6>
                    <p class="m-0">{{newPlante.price}}€ / pièce</p>
                  </div>
                </div>

                <ul class="list-group list-group-flush ">
                  <li class="list-group-item  ">
                    <div data-bs-toggle="tooltip" data-bs-placement="top" data-bs-custom-class="custom-tooltip"
                      title="exposition">
                      <i class="bi bi-cloud-sun-fill"></i>
                      {{newPlante.exposition}}
                    </div>

                    <div data-bs-toggle="tooltip" data-bs-placement="top" data-bs-custom-class="custom-tooltip"
                      title="résistance au froid ">
                      <i class="bi bi-thermometer-snow">
                        {{newPlante.resistance}}°c
                      </i>
                    </div>

                    <div data-bs-toggle="tooltip" data-bs-placement="top" data-bs-custom-class="custom-tooltip"
                      title="feuillage">
                      <i class="fa fa-leaf"> </i> {{newPlante.foliage}}
                    </div>

                    <div data-bs-toggle="tooltip" data-bs-placement="top" data-bs-custom-class="custom-tooltip"
                      title="cycleVie">
                      <i class="fa-regular fa-clock"></i>
                      {{newPlante.lifeCycle}}
                    </div>
                    <div data-bs-toggle="tooltip" data-bs-placement="top" data-bs-custom-class="custom-tooltip"
                      title="feuillage">
                      <i class="fa-solid fa-up-down"></i>
                      {{newPlante.size}}cm
                    </div>
                  </li>

                  <li class="list-group-item">
                    {{newPlante.description}}
                  </li>
                </ul>

                <div class="card-body">
                  <div class="float-right btn-group btn-group-sm">
                    <div class="input-group">
                      <input type="number" min="0" class="form-control" id="inputGroupAddItem"
                        aria-label="Example select with button addon" [defaultValue]="0" />

                      <button class="btn btn-outline-success" type="button">
                        <i class="bi bi-cart-plus"> Ajouter au panier</i>
                      </button>
                    </div>
                  </div>
                </div>
              </div>
            </div>

            <!-- ADD PLANT FORM-->

            <div class="col-6 mb-3 mt-3 " id="addPlantForm">
              <form class="was-validated">
                <div>
                  <h4>Informations principales</h4>

                  <div>
                    <label for="validationInputNom" class="form-label">Nom</label>
                    <input type="text" class="form-control" id="validationFormTextNom"
                      placeholder="Saisir nom de la plante" [(ngModel)]="newPlante.commonName"
                      (ngModelChange)="sendIsDisable()" name="commonName" required />
                    <div class="invalid-feedback">
                      Veuillez saisir un nom.
                    </div>
                  </div>

                  <div>
                    <label for="validationInputNomLatin" class="form-label">Nom Latin</label>
                    <input type="text" class="form-control" id="validationFormTextNomLatin"
                      placeholder="Saisir nom latin de la plante" [(ngModel)]="newPlante.latinName" name="latinName"
                      (ngModelChange)="sendIsDisable()" required />
                    <div class="invalid-feedback">
                      Veuillez saisir le nom latin.
                    </div>
                  </div>

                  <div>
                    <label for="validationInputPrix" class="form-label">Prix</label>
                    <input type="number" step="any" min="0" class="form-control" id="validationFormTextPrix"
                      placeholder="Saisir prix de la plante" [(ngModel)]="newPlante.price"
                      (ngModelChange)="sendIsDisable()" name="price" required />
                    <div class="invalid-feedback">
                      Veuillez saisir un prix.
                    </div>
                  </div>

                  <label for="validationInputDescription" class="form-label">Description</label>
                  <textarea class="form-control " id="validationInputDescription" placeholder="Description requise"
                    [(ngModel)]="newPlante.description" name="description" (ngModelChange)="sendIsDisable()"
                    required></textarea>
                  <div class="invalid-feedback">
                    Veuillez entrer une description.
                  </div>

                  <div>
                    <label for="validationInputUrl" class="form-label">Nom de l'image</label>
                    <input type="text" class="form-control" id="validationInputUrl"
                      placeholder="Saisir le nom de l'image lié à la plante" [(ngModel)]="newPlante.url" name="url"
                      (ngModelChange)="sendIsDisable()" required />
                    <div class="invalid-feedback">
                      Veuillez saisir le nom de l'image.
                    </div>
                  </div>
                </div>
                <hr style=" height: 2px;" />

                <h4>Informations complémentaire</h4>

                <div>
                  <label for="validationInputExpositon" class="form-label">Exposition</label>

                  <select [(ngModel)]="newPlante.exposition" name="exposition" class="form-select"
                    aria-label="select example" placeholder="test" (ngModelChange)="sendIsDisable()" required>
                    <option value="">Choisir exposition</option>
                    <option value="Ombre">Ombre</option>
                    <option value="Mi-ombre">Mi-ombre</option>
                    <option value="Soleil">Soleil</option>
                    <option value="Intérieur">Intérieur</option>
                  </select>
                  <div class="invalid-feedback">
                    Veuillez selectionner un type d'exposition
                  </div>
                </div>
                <div>
                  <label for="validationInputCategorie" class="form-label">Categorie</label>

                  <select [(ngModel)]="newPlante.category" name="category" class="form-select"
                    aria-label="select example" placeholder="test" (ngModelChange)="sendIsDisable()" required>
                    <option value="">Choisir catégorie</option>
                    <option value="Méditerranéennes">Plantes Méditerranéennes</option>
                    <option value="Terre de bruyère">Plantes de terre de bruyère</option>
                    <option value="Arbres fruitiers">Arbres fruitiers</option>
                    <option value="Plantes aromatiques">Plantes aromatiques</option>
                    <option value="Plante carnivores">Plantes carnivores</option>
                    <option value="Plante carnivores">Plantes d'intérieur</option>
                  </select>
                  <div class="invalid-feedback">
                    Veuillez selectionner une categorie
                  </div>
                </div>
                <div>
                  <label for="validationInputCategorie" class="form-label">Feuillage</label>

                  <select [(ngModel)]="newPlante.foliage" name="foliage" class="form-select" aria-label="select example"
                    placeholder="test" (ngModelChange)="sendIsDisable()" required>
                    <option value="">Choisir feuillage</option>
                    <option value="persistant">persistant</option>
                    <option value="caduc">caduc</option>
                  </select>
                  <div class="invalid-feedback">
                    Veuillez selectionner un feuillage
                  </div>
                </div>

                <div>
                  <label for="validationInputFeuillage" class="form-label">Cycle de vie</label>

                  <select [(ngModel)]="newPlante.lifeCycle" name="lifeCycle" class="form-select"
                    aria-label="select example" placeholder="test" (ngModelChange)="sendIsDisable()" required>
                    <option value="">Choisir un cycle de vie </option>
                    <option value="Annuelle">Annuelle</option>
                    <option value="Vivace">Vivace</option>
                  </select>
                  <div class="invalid-feedback">
                    Veuillez selectionner un cycle de vie
                  </div>
                </div>

                <div>
                  <label for="validationInputResistance" class="form-label">Resistance au froid</label>

                  <input type="number" class="form-control" id="validationFormResistance"
                    [(ngModel)]="newPlante.resistance" name="resistance" (ngModelChange)="sendIsDisable()" required />

                  <div class="invalid-feedback">
                    Veuillez saisir une resistance au froid
                  </div>
                </div>

                <div>
                  <label for="validationInputResistance" class="form-label">Taille
                  </label>

                  <input type="number" class="form-control" min="0" id="validationFormSize" [(ngModel)]="newPlante.size"
                    name="size" (ngModelChange)="sendIsDisable()" required />

                  <div class="invalid-feedback">
                    Veuillez une taille
                  </div>
                </div>

                <div>
                  <label for="validationInputStock" class="form-label">Stock</label>

                  <input type="number" min="0" class="form-control" id="validationFormStock"
                    [(ngModel)]="newPlante.stock" name="stock" (ngModelChange)="sendIsDisable()" required />

                  <div class="invalid-feedback">
                    Veuillez saisir un stock
                  </div>
                </div>

                <div class="modal-footer">
                  <button type="button" class="btn btn-outline-secondary" data-bs-dismiss="modal">
                    Annuler
                  </button>
                  <button (click)="addNewPlant()" data-bs-dismiss="modal" type="submit" class="btn btn-outline-success"
                    [disabled]="sendButtonIsDisable">
                    Valider l'ajout en base
                  </button>
                </div>
              </form>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>